## pinthread 0.4

=== Makefile ===
all:
	gcc -Wall -D_GNU_SOURCE -fpic -shared -o pinthread.so pinthread.c -ldl -lpthread
	gcc -Wall -lpthread dotprod_mutex.c -o dotprod_mutex

install:
	install -m 0644 pinthread.so /usr/lib
	ldconfig

clean:
	rm -f pinthread.so
	rm -f dotprod_mutex

=== debian/changelog ===
pinthread (0.4) unstable; urgency=medium

  * Fix a memory leak

 -- Franco (nextime) Lanza <nextime@nexlab.it>  Mon, 13 Jul 2015 01:11:43 +0200

pinthread (0.3) unstable; urgency=medium

  * fix pint_debug string formatting

 -- Franco (nextime) Lanza <nextime@nexlab.it>  Mon, 13 Jul 2015 01:04:09 +0200

pinthread (0.2) unstable; urgency=medium

  * Add debug env option
  * override also sched_setaffinity, pthread_attr_setaffinity_np and
    pthread_setaffinity_np

 -- Franco (nextime) Lanza <nextime@nexlab.it>  Mon, 13 Jul 2015 00:13:25 +0200

pinthread (0.1) unstable; urgency=medium

  * Initial packaging

 -- Franco (nextime) Lanza <nextime@nexlab.it>  Tue, 07 Jul 2015 23:54:15 +0200

=== debian/control ===
Source: pinthread
Maintainer: Franco (nextime) Lanza <nextime@nexlab.it>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6


Package: pinthread
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LD_PRELOAD lib to pin all threads on a specific core
 pinthread is a little library intended for use with LD_PRELOAD 
 environment var.
 I've wrote it cause in devuan we intesively use qemu-static to 
 build packages for different archs, but it doesn't work well with 
 some processes using threads when the base host is multicore, so, 
 this library will override the pthread_create() call and will pin 
 the threads and the main process to run only on a specific core, 
 making qemu happy and avoiding a lot of segfaults.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	install -m 0644 pinthread.so $$(pwd)/debian/pinthread/usr/lib
